Get profiles by user account ids
curl --request GET \
--url https://api.tapti.ai/fusion/profiles \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tapti.ai/fusion/profiles"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tapti.ai/fusion/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"profiles": [
{
"id": "65170d1b-6720-5e63-ae7a-86c8d6510db9",
"user_platform": "YOUTUBE",
"username": "johndoe",
"url": "https://www.youtube.com/channel/UC1234567890",
"gender": "MALE",
"platform_account_id": "UC1234567890",
"full_name": "John Doe",
"first_name": "John",
"last_name": "Doe",
"nick_name": "Johnny",
"display_name": "John Doe",
"description": "Tech enthusiast sharing coding tutorials and tech reviews. New videos every week!",
"profile_picture_url": "https://yt3.ggpht.com/sample-profile-picture",
"date_of_birth": "1990:01:15",
"category": "Technology",
"website_url": "https://www.johndoe.com",
"country": "US",
"emails": [
{
"value": "john.doe@example.com",
"type": "personal",
"is_verified": true,
"is_primary": true,
"id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": "2023-01-01T00:00:00Z",
"updated_at": "2023-01-02T00:00:00Z",
"profile_id": "65170d1b-6720-5e63-ae7a-86c8d6510db9"
}
],
"phone_numbers": [
{}
],
"addresses": [
{}
],
"followers_count": 10000,
"following_count": 500,
"subscribers_count": 50000,
"contents_count": 200,
"watch_time_in_hours": 150000,
"joined_at": "2015-03-15T12:00:00.000Z",
"verified": true
}
]
}Profiles
Get Profile By User Account ID
GET
/
fusion
/
profiles
Get profiles by user account ids
Authorizations
Query Parameters
The IDs of the user accounts to get profiles for
Example:
[
"123e4567-e89b-12d3-a456-426614174000",
"123e4567-e89b-12d3-a456-426614174001"
]
Response
Profiles fetched successfully
The profiles to get
Show child attributes
Show child attributes
